<?php

namespace app\modules\hub\controllers\api;

use yii\beutils\components\rest\ApiController;
use app\modules\hub\essentials\Session;

/**
 * Hub session functionality 
 */
class SessionController extends ApiController
{
	protected function getEndpointNamespace(){
		return "app\\modules\\hub\\controllers\\api\\endpoints\\session";
	}

	public function actionProgress(){
		return $this->endpoint->consume();
	}

	public function actionJoin(){
	}

	public function actionStart(){
		return $this->endpoint->consume();
	}

}
